[Gnus] Pb Gnus 5.11 de emacs snapshot (Debian) ?

Le
Blue.Dian
Bonjour tous,

Suite une maj d'emacs (et donc du gnus inclu avec), je n'arrive plus
ouvrir gnus.
Suis-je le seul avoir un pb lors de l'ouverture de mon emacs ?

Pour info, voici le message d'erreur :

gnus-user-format-function-d(nil)
(format "%d-%s-%s: %d%s" (gnus-number-of-unseen-articles-in-group
gnus-tmp-group) (cond ( "*") ( ) (t number))
gnus-tmp-qualified-group gnus-tmp-number-total
(gnus-user-format-function-d gnus-tmp-header))
(insert (format "%d-%s-%s: %d%s"
(gnus-number-of-unseen-articles-in-group gnus-tmp-group) (cond
) gnus-tmp-qualified-group gnus-tmp-number-total
(gnus-user-format-function-d gnus-tmp-header)))
eval((insert (format "%d-%s-%s: %d%s"
(gnus-number-of-unseen-articles-in-group gnus-tmp-group) (cond
) gnus-tmp-qualified-group gnus-tmp-number-total
(gnus-user-format-function-d gnus-tmp-header))))
gnus-group-insert-group-line("nnfolder:Recherche.abg" 3 ((expire 171
277) (tick 161 231 234) (seen (124 . 277))) t "nnfolder:")
gnus-group-prepare-flat(5 nil nil)
gnus-group-list-groups(nil)
gnus-group-get-new-news(nil)
gnus-1(nil nil nil)
gnus(nil)
call-interactively(gnus)

Apparemment, la fonction user-format-function a chang, mais je ne
vois pas ou dans mon gnus je l'utilise.

Des ides ?

Merci
  • Partager ce contenu :
Vos réponses
Trier par : date / pertinence
Bastien
Le #21793681
""
Suite à une maj d'emacs (et donc du gnus inclu avec), je n'arrive plus
à ouvrir gnus. Suis-je le seul à avoir un pb lors de l'ouverture de
mon emacs ?

Des idées ?



Ça m'est parfois arrivé, le problème venait de ce que j'utilisais une
version de Gnus compilée sur un autre Emacs que celui utilisé.

Ça aide ?

--
Bastien
Blue.Dian
Le #21793661
Re,

Bastien a écrit :
Ça m'est parfois arrivé, le problème venait de ce que j'utilisais u ne
version de Gnus compilée sur un autre Emacs que celui utilisé.

Ça aide ?



Je n'ai pas l'impression.
Effectivement, je m'étais déjà fait avoir avec une mauvaise
cohabitation d'Emacs21 et d'Emacs snapshot.
Depuis, je fais bien attention à ne plus avoir d'Emacs 21 d'installé
(en n'utilisant plus ecb par exemple).

La compilation de mon gnus.el (sous emacs-snapshot) ne me renvoie pas
d'erreur.
Et je n'ai pas d'Emacs21 d'installé (je viens de revérifier).
Blue.Dian
Le #21793651
Re,

J'ai résolu mon pb, effectivement il était resté des bouts d'une
vielle version de gnus.

Après un petit coup d'aptitude et de réinstallation de paquets, cela
marche...
Merci Bastien, tu avais raison finalement.
Bastien
Le #21793631
""
J'ai résolu mon pb, effectivement il était resté des bouts d'une
vielle version de gnus.



Sacré Gnus! Un vieux dinosaure comme ça, c'est normal qu'on retrouve
des os un peu partout.

--
Bastien
Poster une réponse
Anonyme